/***************************************************************************************************
imagedef.h : image options defines

Copyright  John Paul Chacha. All Rights Reserved.

This source code file, which has been provided by John Paul Chacha as part of his software product 
for use only by licensed users of that product, includes proprietary information of John Paul Chacha

USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS OF THE LICENSE AGREEMENT FURNISHED WITH
THE PRODUCT

IN PARTICULAR, JOHN PAUL CHACHA SHALL BE FREE FROM ANY CLAIMS OR LIABILITIES ARISING OUT OF THE USE
OR MISUSE OF THIS FILE AND/OR ITS CONTENTS
***************************************************************************************************/
#pragma once

//--------------------------------------------------------------------------------------------------

//==================================================================================================
#define IMAGEMODE_COMPOSITE 						     0
#define IMAGEMODE_IMAGELIST 						     1
#define IMAGEMODE_FRAMEANIM 						     2
#define IMAGEMODE_OBJECTANIM						     3

#define IMAGEMODE_MAX_ID							     3

//--------------------------------------------------------------------------------------------------
#define IMAGEMODE_SUB_NORMAL						     0

#define IMAGEMODE_SUB_CLIPPED						     1
#define IMAGEMODE_SUB_MIPMAP						     1
#define IMAGEMODE_SUB_ONIONSKIN						     1

#define IMAGEMODE_SUB_MAX_ID						     1

//--------------------------------------------------------------------------------------------------

//==================================================================================================
